# Genomic Module

## Methylation tab

To use the methylation tab, the genomic_cpg_annotaion table should be filled with data from the Illumina HumanMethylation450k probe annotations file. This file can be found at ftp://webdata2:webdata2@ussd-ftp.illumina.com/downloads/ProductFiles/HumanMethylation450/HumanMethylation450_15017482_v1-2.csv. We provide a script,  `modules/genomic_browser/tools/HumanMethylation450k_annotations_to_sql` to transforme the csv file from Illumina's FTP to into a mysql transaction file. The output of the tool can be piped to mysql. The process should take between 5 to 10 minutes. 

This exemple script is a python3 script. 

usage :
```
python3 HumanMethylation450k_annotations_to_sql.py <annotation_file> | mysql -u <user> -p <database>
```

## Files

The uploading functionnality require a genomic_uploader directory under the GenomicDataPath directory specified in the ConfigSettings. This directory needs to be accessible w/r to the apache user. It's recommended that this configSetting be soft-linked to a directory under the /data/ 

To enable uploading of large files via the genomic file uploader, update apache configurations to increase size and time limits.  (Sample values suggested below)

Apache configuration file to update : /etc/php5/apache2/php.ini

Sample values:

```
session.gc_maxlifetime = 10800 
max_input_time = 10800 
max_execution_time = 10800 
upload_max_filesize = 1024M 
post_max_size = 1024M
```
